Search documentation of phoenix_kit

# PhoenixKitWeb.Gettext (phoenix_kit v1.7.87)

Copy Markdown View Source

A module providing Internationalization with a gettext-based API.

By using Gettext, your module gains a set of macros for translations, for example:

    import PhoenixKitWeb.Gettext

    # Simple translation
    gettext("Here is the string to translate")

    # Plural translation
    ngettext("Here is the string to translate",
             "Here are the strings to translate",
             3)

    # Domain-based translation
    dgettext("errors", "Here is the error message to translate")

See the Gettext Docs for detailed usage.

## Summary

### Functions

handle_missing_bindings(exception, incomplete)

Callback implementation for `Gettext.Backend.handle_missing_bindings/2`.

handle_missing_plural_translation(locale, domain, msgctxt, msgid, msgid_plural, n, bindings)

Callback implementation for `Gettext.Backend.handle_missing_plural_translation/7`.

handle_missing_translation(locale, domain, msgctxt, msgid, bindings)

Callback implementation for `Gettext.Backend.handle_missing_translation/5`.

## Functions

# handle_missing_bindings(exception, incomplete)

Callback implementation for `Gettext.Backend.handle_missing_bindings/2`.

# handle_missing_plural_translation(locale, domain, msgctxt, msgid, msgid_plural, n, bindings)

Callback implementation for `Gettext.Backend.handle_missing_plural_translation/7`.

# handle_missing_translation(locale, domain, msgctxt, msgid, bindings)

Callback implementation for `Gettext.Backend.handle_missing_translation/5`.